In order to avoid the reverse engineering of script applications, many developers encrypt their program code with tools such as ionCube PHP Encoder to make it human unreadable. The aforementioned is valid for paid apps in particular, as anyone could possibly use and modify the unencrypted code without paying the required license fees. When you purchase web software encoded with ionCube PHP Encoder, you'll be able to use it without any problems as long as a software instrument known as ionCube Loader is installed on the website hosting server. This loader enables you to execute encoded files and you will often find it as one of the prerequisites for a certain script application to be installed. Due to the fact that the encrypted files are already precompiled, they're usually executed much faster and this can raise the general speed of your site.

IonCube in Shared Hosting

IonCube Loader is installed on all the web servers that are a part of our cloud web hosting platform, so irrespective of the shared hosting that you select during the signup process, you will be able to enable it from your Hepsia Control Panel. This process is as easy as right-clicking an On/Off button in the Advanced section, so even if this is your first web hosting account ever, you will not have to do anything complex. The same section allows you to pick the PHP version for your account (4, 5.2, 5.3, 5.4, 5.5), which means that if you want to switch to some other version, you just need to activate ionCube Loader for it as well. Due to the fact that our platform is quite flexible, you may even set a different PHP version and another status of ionCube using a php.ini file in each domain folder. If this is something you'd like to do but you don't have much experience, the 24/7 tech support team shall assist you within minutes.

IonCube in Semi-dedicated Servers

If you get a semi-dedicated server package from us, you will be able to employ any kind of script-driven application that needs ionCube Loader since the software tool is available on all the servers that are a part of our advanced cloud hosting platform. We also support several versions of PHP, which means that if you move from PHP 4 to 5.2 or 5.3, for example, you can activate ionCube for that particular version with only a click from your Hepsia Control Panel. Our platform will remember your decision, and if you move back to the earlier release of PHP, the software instrument will already be active. For more experienced users, we also provide the option to choose the PHP version and if ionCube will be active or not for a specific domain without altering the settings for the entire website hosting account. This can be done by putting a php.ini file in a domain folder with several lines of code.